Subject: Re: [PATCH 0/2] Add IPMI support for powernv powerpc machines

From: Jeremy Kerr <[email-masked]>
Date: Mon, 10 Nov 2014 14:41:04 +0800

Hi Ben,

> Our OPAL interface can only do one at a time ? Because our underlying
> FW driver already has a queue ..

The Linux driver needs to match responses to their requests, so the
driver needs to keep a reference to the requests that we've sent. The
current implementation is very simple: we just keep one pointer, and
require that there's only one outstanding request.

To have multiple outstanding requests, our options here are that we either:

1) duplicate the si_intf's queuing code in the powernv driver; or

2) move the queuing code from the si_intf component to the generic
   IPMI msghander, and use that (so all drivers can assume a single
   outstanding request)

Corey has suggested the latter, which will only require a minimal change
to the powerpv IPMI driver.

Cheers,

Jeremy